@echo off
REM test_sub
REM
REM sub-routine for 'test'

set BINDIR=..\..\bin
set DATABASE=test

echo   * running '%1'

REM check if server is awake
%BINDIR%\msqladm version 2>&1 > NUL
if errorlevel 1 echo   SERVER HAS GONE!!! & goto end_of_file

REM start query
echo.                                            >> server.log
echo [%1]                                        >> server.log
echo. | time | find /n /v "@@@" | find "[1]"     >> server.log
%BINDIR%\msql %DATABASE% < %1.sql > %1.out
echo. | time | find /n /v "@@@" | find "[1]"     >> server.log

REM end of file
:end_of_file

